package edu.stanford.rt.datatype;

/**
 * @author Ninghui Li, Sandra Qiu <br>
 * 
 * A ValueSet object represents a set of values of a certain type.
 */
public class ValueSet
{
    /** value type */
    private DataType type;

    /**
     * Constructor for ValueSet
     */
    public ValueSet(DataType type)
    {
        this.type = type;
    }
    
	/**
	 * Method getType.
     *  returns the value type.
	 * @return DataType
	 */
    public DataType getType()
    {
        return type;
    }
    
	/**
	 * Method toString.
	 * @param indent
	 * @return String
	 */
    public String toString(String indent)
    {
        return type.toString(indent+indent);
    }
    

}
