package edu.stanford.rt.datatype;

/**
 * @author Ninghui Li, Sandra Qiu<br>
 * 
 * Implementation of <code>EnumValue</code> element.
 * 
 */
public class EnumValue implements DataValue
{
    private String value;
    
    /**
     * Constructor for EnumValue.
     */
    public EnumValue(String value)
    {
        this.value = value;
    }
    
	/**
	 * Method getValue.
	 * @return String
	 */
    public String getValue()
    {
        return value;
    }
    
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
    public String toString()
    {
        return value;
    }
    
}
