package edu.stanford.rt.datatype;

/**
 * @author Ninghui Li, Sandra Qiu<br>
 * 
 * Implementation of <code>StringValue</code> element.
 *  An StringValue object which holds a String value.
 */
public class StringValue implements DataValue
{
    private String value;
    
    /**
     * Constructor for StringValue.
     */
    public StringValue(String v)
    {
        value = v;
    }
    
	/**
	 * Method getValue.
	 * @return String
	 */
    public String getValue()
    {
        return value;
    }
    
	/* (non-Javadoc)
	 * @see java.lang.Object#toString()
	 */
    public String toString()
    {
        return value;
    }
    
}
