package edu.stanford.rt.datatype;

import java.util.Date;

/**
 * @author Ninghui Li, Sandra Qiu<br>
 * 
 * DataType for time values in RTML. It's a wrapper class for XML built-in
 * date time type.
 */
public class TimeType extends OrderedType
{
    /**
     * Constructor for TimeType.
     */
    public TimeType(String name)
    {
        super(name);
    }
    
	/* (non-Javadoc)
	 * @see edu.stanford.rt.datatype.SimpleType#isValidValue(DataValue)
	 */
    public boolean isValidValue(DataValue value)
    {
        if(! (value instanceof TimeValue))
            return false;

        return true;
    }
    
	/* (non-Javadoc)
	 * @see edu.stanford.rt.datatype.OrderedType#compares(DataValue, DataValue)
	 */
    public int compares(DataValue value1, DataValue value2)
    {
//        if( !(value1 instanceof TimeValue) ||
//            !(value2 instanceof TimeValue) )
//            throw new IllegalArgumentException("Wrong argument type");
//            
//        Date date1 = ((TimeValue)value1).getValue();
//        Date date2 = ((TimeValue)value2).getValue();
//        return date1.compareTo(date2);
        return 0;
    }
    
	/* (non-Javadoc)
	 * @see edu.stanford.rt.datatype.DataType#toString(String)
	 */
    public String toString(String indent)
    {
        String thisIndent = indent + "  ";
        return thisIndent + getName()+"\n";
    }
    
}